﻿/*
Nome: Query para gerar relatório de processos sigilosos 

Descrição:    
Query para gerar relatório de processos sigilosos com os campos Nº PROCESSO, HIPÓTESE LEGAL, TIPO DE PROCESSO, USUÁRIO, NOME, UNIDADE e DATA DE CADASTRO

Parâmetros:
 
*/

SELECT DISTINCT
    p.protocolo_formatado AS PROCESSO,
    h.nome AS HIPOTESE_LEGAL,
    tp.nome AS TIPO_PROCESSO,
    u.sigla AS USUARIO,
    u.nome AS NOME,
    uni.sigla AS UNIDADE,
    DATE_FORMAT(p.dta_geracao, '%d/%m/%Y') AS DATA_CADASTRO
FROM
    prod_sei.protocolo p
        INNER JOIN
    prod_sei.procedimento pro ON p.id_protocolo = pro.id_procedimento
        INNER JOIN
    prod_sei.tipo_procedimento tp ON tp.id_tipo_procedimento = pro.id_tipo_procedimento
        INNER JOIN
    prod_sei.hipotese_legal h ON p.id_hipotese_legal = h.id_hipotese_legal
        INNER JOIN
    prod_sei.unidade uni ON p.id_unidade_geradora = uni.id_unidade
        INNER JOIN
    prod_sei.acesso a ON a.id_protocolo = p.id_protocolo
        INNER JOIN
    prod_sei.usuario u ON a.id_usuario = u.id_usuario
WHERE
    p.sta_nivel_acesso_global > 0
ORDER BY 1